Subject: RE: [manet] delay in sending the next packet in DSR

From: "Liaw, Yong Shyang - LIAYS001" <[email-masked]>
Date: Thu, 6 Feb 2003 08:41:35 +1030

Forgot to CC this email to MANET list.
=============

Hi Casey,

Thank you for your reply.

In the Opnet DSR model, the delay is not purposed to model the ARP interaction
(the ARP interaction is not model at all). It is meaned to allow time for an
ERROR message (i.e. Route_error) to return to the source, if any, before
sending the next packet. That place a limit on how fast DSR can send!!! In my
simulation, I find that for a 6-hop linear topology (static), the delay is
180ms (30ms per hop), and hence place a limit of 5.5 packets/sec it can send.
When I set the delay to be very small (i.e. 1ms per hop), it gives me a much
better performance of over 20 packet per second. The delay does not seem to be
the correct thing to do. And as I said before, DSR Internet draft does not say
anything about this (or I could not find it). 

> -----Original Message-----
> From: Casey Carter [mailto:[email-masked]]
> Sent: Wednesday, 5 February 2003 7:14
> To: Liaw, Yong Shyang - LIAYS001
> Cc: [email-masked]
> Subject: Re: [manet] delay in sending the next packet in DSR
> 
> 
> This is a standard hack for ad hoc routing simulations that avoids 
> interaction with ARP.  ARPs based on the BSD implementation have a 
> single-packet buffer where they hold packets while performing address 
> resolution.  Additional packets that arrive replace the packet in the 
> buffer.  So, if you have a bunch of packets waiting for the 
> route reply, 
> and send them to the link layer all at once, ARP will drop 
> all but the 
> last if it does not already have an address mapping for the nexthop. 
>  The hack is to guess how long an ARP request/reply cycle takes, and 
> delay sending packets by cycle_time * #hops.
> 
> There is substantial discussion of this issue in my paper "ARP 
> Considered Harmful: Manycast Transactions in Ad Hoc Networks" 
> to appear 
> in WCNC 2003 -- available at 
> <http://mobius.cs.uiuc.edu/publications.htm>.  We discuss how 
> ARP does 
> not seem to integrate properly into ad hoc networks, and present an 
> alternative that places responsibility for address resolution in the 
> routing protocol, where it can be done with zero cost.
> 
> Liaw, Yong Shyang - LIAYS001 wrote:
> 
> >Hi,
> >
> >I have a question regarding DSR & would appreciate if any 
> one can help.
> >
> >In DSR, when sending data packet from the send queue, shall 
> you wait for
> >(delay*no_hop) before sending the next data packet?
> >where delay is the time you wait for a reply from 1 hop away 
> (i.e. 30ms),
> >	no_hop is the number of hops 
> >
> >I find the Opnet's DSR model implements the above, but I 
> could not find in the
> >DSR Internet-draft that said this for data packet (though 
> there is some random
> >delay for sending reply packets). In this a bug? I would 
> appreciate if you can
> >help me.
> >
> >Thank you.
> >
> >_______________________________________________
> >manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/manet
> >  
> >
> 
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet